ATA_SCSI_QUEUECMD(9)

NAME
ata_scsi_queuecmd - Issue SCSI cdb to libata-managed device

SYNOPSIS

int ata_scsi_queuecmd(struct Scsi_Host * shost, struct scsi_cmnd * cmd);

ARGUMENTS

shost
    SCSI host of command to be sent

cmd
    SCSI command to be sent

DESCRIPTION

In some cases, this function translates SCSI commands into ATA taskfiles, and queues the taskfiles to be sent to hardware. In other cases, this function simulates a SCSI device by evaluating and responding to certain SCSI commands. This creates the overall effect of ATA and ATAPI devices appearing as SCSI devices.

LOCKING

ATA host lock

RETURNS

Return value from __ata_scsi_queuecmd if cmd can be queued, 0 otherwise.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT